Subject: Re: [nwcrg] Is congestion control needed for multipath network coding?

From: shun cai <[email-masked]>
Date: Sun, 17 Mar 2013 23:24:21 +0800

Hi, Frank

    Glad to receive  your reply, and I'd like to have your further
comments.

    1. If all the traffics use MORE, do you think the congestion, if any,
lies in the buffer at the higher layer?
      Although buffer is much larger than  MAC queue, it is a limitted
resource (I guess).It tends to overflow if the short term arriving rate
exceeds its service rate ( from the time a packet  arrive,  to the time it
is rushed with the whole batch.)  . This is different from traditional
single path router, for which packets are forwarded and deleted from the
queue.

  2. What is the congestion phenomenon under coded traffic?
     1) The service time at intermediates will increase. It is not the
waiting time in the MAC queue; it is the waiting time to be scheduled.
     2) As a result of 1), the e2e throughput will decrease.
     3) No packet loss due to the overflow of MAC queue.
     4) Packet loss, if any, is due to the overflow of the buffer at higher
layer.

  So, in order to detect a congestion,  an decrease of e2e throughput, or
an increase of the serive time at intermedidates can be the used as a
sign.

3. How to alleviate the congestion ?
    1) Slow down the source rate. If buffer overflow at intermediate's
occurs,  slow down the arriving rate can save wasted transmissions.
    2) Transfer the load of a congested  intermediate to a less congested
one,  so as to maintain the original rate.

Regards,
Kara

2013/3/13 Frank Fitzek <[email-masked]>

>  On 13.03.2013 05:07, shun cai wrote:
>
> Hi, Frank
>
>  Hi i try to answer to the best of my knowledge here.
>
> First of all there is the assumption that we are on WiFi right? That has
> some implications
>
>
>
>     I am thinking of the congestion control problem for  MORE-like
> traffic(Multipath network coding ) in Wireless Mesh networks, and get
> perplexed by some questions. I do apprecitate for your kind help.
>
>      1. Packets belong to current batch  should buffered at intermediate
> nodes, does  the buffer here refer to the MAC queue or a cache at upper
> layer (e.g. socket buffer, or  a cache in memory) .
>      In my opinion,  the received belong to a current batch will occupy
> the MAC queue  for  quite a long time before the whole batch is delivered
> to the destionation, which causes  the  MAC queue overflow very easily.  So
> the better way is to buffer thesed packets at upper layer, right ?
>
> I think that is the best
>
>
>     2. If the packets are buffered at upper layer,   the MORE traffic is
> less likely to be the reason of the congestion at routers.   As the coded
> packets is  generated and sent to MAC queue  only when the MAC is able to
> transmit , at any time, there is at most one packet for each coded traffic
> in the MAC queue.
>
>  this is not a question, so I agree here
>
>    3. If the conjecture in item 2 is true, do we need any congestion
> control for MORE-like traffic?
>
> If there is always one packet in the queue for me congestion control is
> pointless as those nodes will try to send. And the congestion control is
> then done by the backoff timer by the MAC.
>
> And congestion control would maybe hinder those nodes to send if they see
> a good channel.
>
> But I think there is something in it. we need to understand how much
> packets we want to seed over different pathes.
>
> Ok lets keep this discusson ongoing. But maybe of the irtf mailing list?
>
>
> Regards,
>
> Kara
>
>
>
> --
> Professor Dr.-Ing. Frank H.P. Fitzek
> Aalborg University
> Niels Jernes Vej 12, room A3 208 DK-9220 Aalborg Denmark
> Phone:+49 173 548 29 47 or +45 9940 8678 Fax:+45 9815 1583email:[email-masked] web:www.fitzek.net
>
>